File: shortcuts.css

package info (click to toggle)
firefox 147.0.4-1
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 4,683,532 kB
  • sloc: cpp: 7,607,356; javascript: 6,533,348; ansic: 3,775,236; python: 1,415,508; xml: 634,561; asm: 438,949; java: 186,241; sh: 62,760; makefile: 18,079; objc: 13,092; perl: 12,808; yacc: 4,583; cs: 3,846; pascal: 3,448; lex: 1,720; ruby: 1,003; php: 436; lisp: 258; awk: 247; sql: 66; sed: 54; csh: 10; exp: 6
file content (117 lines) | stat: -rw-r--r-- 2,412 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

.shortcut.card {
  margin-bottom: 16px;

  &.focused-extension {
    border: 1px solid var(--border-color-selected);
  }

  .card-heading-icon {
    width: 24px;
    height: 24px;
    margin-inline-end: 16px;
    -moz-context-properties: fill;
    fill: currentColor;
  }

  &:not([expanded]) > .shortcut-row[hide-before-expand] {
    display: none;
  }
}

.card-heading {
  display: flex;
  font-weight: var(--heading-font-weight);
}

.shortcut-row {
  display: flex;
  align-items: center;
  margin-top: 10px;
}

.shortcut-label {
  flex-grow: 1;
}

.shortcut-remove-button {
  background-image: url("chrome://global/skin/icons/delete.svg");
  background-position: center;
  background-repeat: no-repeat;
  -moz-context-properties: fill;
  fill: currentColor;
  min-width: 32px;
}

.expand-row {
  display: flex;
  justify-content: center;
}

.expand-button {
  margin: 8px 0 0;

  &[warning]:not(:focus) {
    outline: 2px solid var(--yellow-60);
    outline-offset: -1px;
    box-shadow: 0 0 0 4px var(--yellow-60-a30);
  }
}

.shortcut-input {
  /* Shortcuts should always be left-to-right. */
  direction: ltr;
  text-align: match-parent;

  &[shortcut=""] + .shortcut-remove-button {
    visibility: hidden;
  }
}

.error-message {
  --error-background: var(--red-60);
  --warning-background: var(--yellow-50);
  --warning-text-color: var(--yellow-90);
  color: white;
  display: flex;
  flex-direction: column;
  position: absolute;
  visibility: hidden;

  &[type="warning"] > .error-message-icon {
    fill: var(--warning-background);
    stroke: var(--warning-background);
  }

  &[type="warning"] > .error-message-label {
    background-color: var(--warning-background);
    color: var(--warning-text-color);
  }
}

.error-message-icon {
  margin-inline-start: 10px;
  width: 14px;
  height: 8px;
  fill: var(--error-background);
  stroke: var(--error-background);
  -moz-context-properties: fill, stroke;
}

.error-message-label {
  background-color: var(--error-background);
  border-radius: 2px;
  margin: 0;
  margin-inline-end: 8px;
  max-width: 300px;
  padding: 5px 10px;
  word-wrap: break-word;
}

/* The margin between message bars. */
message-bar-stack > * {
  margin-bottom: 8px;
}